Package org.drinkless.tdlib

# Class TdApi.CraftGiftResultSuccess

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CraftGiftResult
org.drinkless.tdlib.TdApi.CraftGiftResultSuccess

Enclosing class:
  `TdApi`

public static class TdApi.CraftGiftResultSuccess extends TdApi.CraftGiftResult
Crafting was successful.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.CraftGiftResult

  `TdApi.CraftGiftResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.UpgradedGift`
  `gift`
  The created gift.
  `String`
  `receivedGiftId`
  Unique identifier of the received gift for the current user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CraftGiftResultSuccess()`
  Crafting was successful.
  `CraftGiftResultSuccess(TdApi.UpgradedGift gift, String receivedGiftId)`
  Crafting was successful.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### gift

    public TdApi.UpgradedGift gift
    The created gift.

  - ### receivedGiftId

    public String receivedGiftId
    Unique identifier of the received gift for the current user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CraftGiftResultSuccess

    public CraftGiftResultSuccess()
    Crafting was successful.

  - ### CraftGiftResultSuccess

    public CraftGiftResultSuccess(TdApi.UpgradedGift gift, String receivedGiftId)
    Crafting was successful.
    Parameters:
      `gift` - The created gift.
      `receivedGiftId` - Unique identifier of the received gift for the current user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.CraftGiftResult`
    Returns:
      this.CONSTRUCTOR